[Git][qa/jenkins.debian.net][master] arm64.reproduce.debian.net: configure codethink02 as worker

Holger Levsen (@holger) gitlab at salsa.debian.org
Tue Jan 21 22:16:03 GMT 2025



Holger Levsen pushed to branch master at Debian QA / jenkins.debian.net


Commits:
2da411c8 by Holger Levsen at 2025-01-21T21:34:37+01:00
arm64.reproduce.debian.net: configure codethink02 as worker

Signed-off-by: Holger Levsen <holger at layer-acht.org>

- - - - -


7 changed files:

- + hosts/codethink02-arm64/etc/apt/sources.list
- + hosts/codethink02-arm64/opt/etc/rebuilderd-worker.conf
- + hosts/codethink02-arm64/opt/usr/libexec/rebuilderd/rebuilder-debian.sh
- hosts/osuosl5-amd64/etc/cron.d/rebuilderd
- hosts/osuosl5-amd64/var/www/html/rdn_index.html
- hosts/osuosl5-amd64/var/www/html/rebuilderd-setup.html
- update_jdn.sh


Changes:

=====================================
hosts/codethink02-arm64/etc/apt/sources.list
=====================================
@@ -0,0 +1,23 @@
+#
+# Debian trixie
+#
+deb http://deb.debian.org/debian/ trixie main non-free-firmware contrib non-free
+#deb-src http://deb.debian.org/debian/ trixie main non-free-firmware contrib non-free
+
+#
+# Debian trixie security
+#
+deb http://security.debian.org/ trixie-security main non-free-firmware contrib non-free
+#deb-src http://security.debian.org/ trixie-security main non-free-firmware contrib non-free
+
+#
+# Debian trixie updates
+#
+deb http://deb.debian.org/debian/ trixie-updates main non-free-firmware contrib non-free
+#deb-src http://deb.debian.org/debian/ trixie-updates main non-free-firmware contrib non-free
+
+#
+# Debian trixie-backports
+#
+deb http://deb.debian.org/debian/ trixie-backports main non-free-firmware contrib non-free
+#deb-src http://deb.debian.org/debian/ trixie-backports main non-free-firmware contrib non-free


=====================================
hosts/codethink02-arm64/opt/etc/rebuilderd-worker.conf
=====================================
@@ -0,0 +1,33 @@
+## The rebuilderd to connect to
+endpoint = "https://arm64.reproduce.debian.net"
+## The server would either allowlist our key or require a signup secret
+signup_secret = "INSECURE"
+
+[build]
+#timeout = 86400 # 24 hours
+## Set a maximum build log limit in bytes (default: none).
+## When reaching this limit the log is truncated but the rebuilder backend is *not* terminated.
+max_bytes = 20971520 # 20 MiB ## 10 MiB is upstream default
+## By default build output is forwarded to stdout/stderr.
+## This can be disabled by settings this to true.
+#silent = true
+
+[diffoscope]
+## Generate and attach diffs with diffoscope when rebuilding
+enabled = true
+## Pass additional arguments to diffoscope. Use wisely, some options might not work well.
+#args = ["--max-container-depth", "2", "--fuzzy-threshold", "0"]
+## Set a timeout in seconds after which diffoscope is terminated (default: 3600)
+timeout = 600 # 10 minutes
+## Set a maximum diffoscope output limit in bytes (default: none).
+## When reaching this limit, diffoscope is terminated and the output is truncated.
+max_bytes = 10485760 # 10 MiB
+
+[backend."archlinux"]
+path = "/usr/libexec/rebuilderd/rebuilder-archlinux.sh"
+
+[backend."debian"]
+path = "/opt/usr/libexec/rebuilderd/rebuilder-debian.sh"
+
+[backend."tails"]
+path = "/usr/libexec/rebuilderd/rebuilder-tails.sh"


=====================================
hosts/codethink02-arm64/opt/usr/libexec/rebuilderd/rebuilder-debian.sh
=====================================
@@ -0,0 +1,11 @@
+#!/bin/sh
+set -xe
+cd "$(dirname "$1")"
+
+mkdir -p etc/apt
+mkdir -p var/lib/apt/lists/
+echo 'deb-src [signed-by=/usr/share/keyrings/debian-archive-keyring.gpg] https://deb.debian.org/debian trixie main' > etc/apt/sources.list
+apt-get -o Dir=. update
+apt-get -o Dir=. source --download-only "$(basename "$1" | cut -d_ -f1)"
+
+/usr/bin/debrebuild --buildresult="${REBUILDERD_OUTDIR}" --builder=sbuild+unshare --cache=/srv/rebuilderd/cache -- "${1}"


=====================================
hosts/osuosl5-amd64/etc/cron.d/rebuilderd
=====================================
@@ -1,3 +1,3 @@
 MAILTO=root
-42 */3 * * * rebuilderd for arch in amd64 i386 ; do mkdir -p /srv/rebuilderd/$arch/stats/ && /srv/jenkins/bin/rebuilderd_stats.py $arch /srv/rebuilderd/$arch/rebuilderd.db > /srv/rebuilderd/$arch/stats/index.html.tmp && mv /srv/rebuilderd/$arch/stats/index.html.tmp /srv/rebuilderd/$arch/stats/index.html ; done
-23 0,6,12,18 * * * rebuilderd for arch in amd64 i386 ; do /srv/jenkins/bin/rebuilderd_graph.sh $arch ; done
+42 */3 * * * rebuilderd for arch in amd64 i386 arm64 ; do mkdir -p /srv/rebuilderd/$arch/stats/ && /srv/jenkins/bin/rebuilderd_stats.py $arch /srv/rebuilderd/$arch/rebuilderd.db > /srv/rebuilderd/$arch/stats/index.html.tmp && mv /srv/rebuilderd/$arch/stats/index.html.tmp /srv/rebuilderd/$arch/stats/index.html ; done
+23 0,6,12,18 * * * rebuilderd for arch in amd64 i386 arm64 ; do /srv/jenkins/bin/rebuilderd_graph.sh $arch ; done


=====================================
hosts/osuosl5-amd64/var/www/html/rdn_index.html
=====================================
@@ -63,7 +63,9 @@
 	<br/>
 	<a href="https://i386.reproduce.debian.net/">i386.reproduce.debian.net</a> rebuilds trixie (arch:i386).
 	<br/>
-	coming soon: rebuilderd for arm64 and armhf, and also for amd64 unstable and eventually stable.
+	<a href="https://arm64.reproduce.debian.net/">arm64.reproduce.debian.net</a> rebuilds trixie (arch:arm64).
+	<br/>
+	coming soon: trixie/armhf and unstable/arm64, then...
 	<br/>
 	<br/>
 	Do you have hardware?


=====================================
hosts/osuosl5-amd64/var/www/html/rebuilderd-setup.html
=====================================
@@ -139,6 +139,7 @@ cd ; mkdir -p i386 ; cd i386 ; /opt/usr/bin/rebuilderd -c /opt/etc/rebuilderd-i3
 while true ; do env REBUILDERD_COOKIE_PATH=~/.local/share/rebuilderd-auth-cookie /opt/usr/bin/rebuildctl -H http://127.0.0.1:8485 pkgs sync-profile --sync-config /opt/etc/rebuilderd-sync-i386.conf debian-main --print-json | jq '.[] | select(.architecture != "all")' | jq -s | env REBUILDERD_COOKIE_PATH=~/.local/share/rebuilderd-auth-cookie /opt/usr/bin/rebuildctl -H http://127.0.0.1:8485 pkgs sync-stdin debian main ; echo sleeping 3h now ; sleep 3h ; done
 
 cd ; mkdir -p arm64 ; cd adm64 ; /opt/usr/bin/rebuilderd -c /opt/etc/rebuilderd-arm64.conf
+while true ; do env REBUILDERD_COOKIE_PATH=~/.local/share/rebuilderd-auth-cookie /opt/usr/bin/rebuildctl -H http://127.0.0.1:8486 pkgs sync-profile --sync-config /opt/etc/rebuilderd-sync-arm64.conf debian-main --print-json | jq '.[] | select(.architecture != "all")' | jq -s | env REBUILDERD_COOKIE_PATH=~/.local/share/rebuilderd-auth-cookie /opt/usr/bin/rebuildctl -H http://127.0.0.1:8486 pkgs sync-stdin debian main ; echo sleeping 3h now ; sleep 3h ; done
 
     </body>
 </html>


=====================================
update_jdn.sh
=====================================
@@ -1,6 +1,6 @@
 #!/bin/bash
 # vim: set noexpandtab:
-# Copyright 2012-2024 Holger Levsen <holger at layer-acht.org>
+# Copyright 2012-2025 Holger Levsen <holger at layer-acht.org>
 #         © 2018-2023 Mattia Rizzolo <mattia at debian.org>
 # released under the GPLv2
 
@@ -383,7 +383,7 @@ if [ -f /etc/debian_version ] ; then
 				munin-plugins-extra/buster-backports
 				devscripts/buster-backports
 				" ;;
-			osuosl4*|osuosl5*|infom07*|infom08*)	# packages to be installed on trixie Debian systems
+			osuosl4*|osuosl5*|infom07*|infom08*|codethink02*)	# packages to be installed on trixie Debian systems
 				DEBS="$DEBS
 				btop
 				debootstrap
@@ -551,7 +551,7 @@ if [ -f /etc/debian_version ] ; then
 		esac
 		# packages needed for rebuilderd-worker for https://reproduce.debian.net
 		case $HOSTNAME in
-			infom07*|infom08*)	DEBS="$DEBS
+			infom07*|infom08*|codethink02*)	DEBS="$DEBS
 							diffoscope
 							python3-rpy2
 							" ;;
@@ -736,15 +736,25 @@ if [ "$HOSTNAME" = "jenkins" ] || [ "$HOSTNAME" = "ionos7-amd64" ] || [ "$HOSTNA
 fi
 # set secret for remote rebuilderd-workers
 case $HOSTNAME in
-	osuosl5*|infom07*|infom08*)	SIGNUPSECRET="$(sudo cat /opt/etc/rebuilderd.secret)"
-				for i in rebuilderd-i386.conf rebuilderd-worker.conf ; do
-					if [ -f /opt/etc/$i ] ; then
-						if grep -q '^signup_secret = "INSECURE"' /opt/etc/$i ; then
-							sudo sed -i "s#^signup_secret = \"INSECURE\"#signup_secret = \"$SIGNUPSECRET\"#g" /opt/etc/$i
+	osuosl5*)		for a in i386 arm64 ; do
+					SIGNUPSECRET="$(sudo cat /opt/etc/rebuilderd-${a}.secret)"
+					f=rebuilderd-${a}.conf
+					if [ -f /opt/etc/$f ] ; then
+						if grep -q '^signup_secret = "INSECURE"' /opt/etc/$f ; then
+							sudo sed -i "s#^signup_secret = \"INSECURE\"#signup_secret = \"$SIGNUPSECRET\"#g" /opt/etc/$f
 						fi
 					fi
 				done
-					;;
+				;;
+	infom07*|infom08*|codethink02*)
+				SIGNUPSECRET="$(sudo cat /opt/etc/rebuilderd.secret)"
+				f=rebuilderd-worker.conf
+				if [ -f /opt/etc/$f ] ; then
+					if grep -q '^signup_secret = "INSECURE"' /opt/etc/$f ; then
+						sudo sed -i "s#^signup_secret = \"INSECURE\"#signup_secret = \"$SIGNUPSECRET\"#g" /opt/etc/$f
+					fi
+				fi
+				;;
 			*) ;;
 esac
 



View it on GitLab: https://salsa.debian.org/qa/jenkins.debian.net/-/commit/2da411c81d95c8c38a9c23c4e11438dbb5c67a95

-- 
View it on GitLab: https://salsa.debian.org/qa/jenkins.debian.net/-/commit/2da411c81d95c8c38a9c23c4e11438dbb5c67a95
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/qa-jenkins-scm/attachments/20250121/527931ce/attachment-0001.htm>


More information about the Qa-jenkins-scm mailing list